@import '../variables';

.candidates {
  display: flex;
  justify-content: space-between;
  width: 80%;
  margin-left: 50%;
  transform: translateX(-50%);
  color: $text;
  height: 60vh;
  align-content: center;
  @media #{$mq-phone} {
    flex-flow: column wrap;
    height: fit-content;
  }
  .editor-card {
    position: relative;
    background: $bg;
    border-radius: 40px;
    padding: 20px;
    width: 20%;
    overflow: hidden;
    @media #{$mq-phone} {
      width: 90%;
      height: 40vh;
      margin: 20px 0;
    }

    .candidate-name {
      font-weight: 600;
      font-size: 1.2rem;
    }
    svg + h3 {
      &:first-of-type {
        margin-top: -30px;
        @media #{$mq-phone} {
          margin-top: -40px;
        }
      }
    }
    p {
      margin-top: 20px;
      text-align: justify;
      display: -webkit-box;
      overflow: hidden;
      -webkit-line-clamp: 8;
      -webkit-box-orient: vertical;
    }
    button {
      font-size: 1.3rem;
      text-transform: uppercase;
      @include gradient-text($grad1);
      position: absolute;
      bottom: 8%;
      left: 50%;
      transform: translateX(-50%);
      transition: 0.2s all ease-in-out;
      @media #{$mq-phone} {
        font-size: 1.1rem;
        bottom: 5%;
      }

      &:after {
        content: '';
        width: 100%;
        height: 3px;
        position: absolute;
        bottom: 0;
        left: 50%;
        transform: translateX(-50%);
        background: $grad1;
        transition: 0.2s all ease-in-out;
      }

      &:hover {
        transform: translateX(-50%) scale(1.1);

        &:after {
          width: 120%;
        }
      }
    }
  }
  .editor-card-image {
    //width: 20%;
    padding: 0 20px 20px 20px;
    @media #{$mq-phone} {
      height: 65vh;
    }
    svg {
      width: 120%;
      margin-left: -10%;
    }
  }
}
